# POST /bfl/v1/flux-dev

**Method**: `POST`
**Endpoint**: `/bfl/v1/flux-dev`

## Request Parameters

### Header Parameters

```text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
prompt
string
Required
width
integer
Required
height
integer
Required
steps
integer
Required
prompt_upsampling
boolean
Required
seed
integer
Required
guidance
integer
Required
safety_tolerance
integer
Required
output_format
string
Required
Example
{
"prompt"
:
"string"
,
"width"
:
0
,
"height"
:
0
,
"steps"
:
0
,
"prompt_upsampling"
:
true
,
"seed"
:
0
,
"guidance"
:
0
,
"safety_tolerance"
:
0
,
"output_format"
:
"string"
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/bfl/v1/flux-dev' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "string",
    "width": 0,
    "height": 0,
    "steps": 0,
    "prompt_upsampling": true,
    "seed": 0,
    "guidance": 0,
    "safety_tolerance": 0,
    "output_format": "string"
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
id
string
Required
polling_url
string
Required
```

#### Example

```json
{"id":"b9b172a8-e39c-47b2-8f1a-cb8925f3532e","polling_url":"https://api.us1.bfl.ai/v1/get_result?id=b9b172a8-e39c-47b2-8f1a-cb8925f3532e"}
```
